| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/fixedsizeallocator.h File Reference

Fixed Size Block Allocator. More...

`#include "csextern.h"`
`#include "csutil/array.h"`
`#include "csutil/bitarray.h"`
`#include "csutil/sysfunc.h"`

Go to the source code of this file.

## Classes
class | csFixedSizeAllocator< Size, Allocator >
| This class implements a memory allocator which can efficiently allocate objects that all have the same size. More...
struct | csFixedSizeAllocator< Size, Allocator >::BlockKey
struct | csFixedSizeAllocator< Size, Allocator >::BlocksWrapper
class | csFixedSizeAllocator< Size, Allocator >::DefaultDisposer
| Default disposer mixin, just reporting leaks. More...
struct | csFixedSizeAllocator< Size, Allocator >::FreeNode

## Detailed Description

Fixed Size Block Allocator.

Definition in file fixedsizeallocator.h.